{% block content_extension %}
// Стили подсветки
var styleSheetId = 'declaration-list-highlight';
Ext.util.CSS.createStyleSheet('\
    .changes-highlighted-row {color: blue;} \
    .without-dou-highlight-row {color: #FF6666;} \
    .highlighted-row-green {color: #2d862d;} \
    .with-negative-response-row {color: #b60aff;}',
    styleSheetId,
);
// Удаление стилей при закрытии окна
win.on("beforeclose", function () {
    Ext.util.CSS.removeStyleSheet(styleSheetId)
});

/*
Обработка чекбокса отображения только заявок на подтверждение
*/
var needConfirmationOnly = Ext.getCmp('{{ component.need_confirmation_only.client_id}}');

needConfirmationOnly.on('check', showNeedConfirmationOnly);

function showNeedConfirmationOnly(){
    store.baseParams['need_confirmation_only']=needConfirmationOnly.getValue() ? 1 : 0;
    win.grid.refreshStore();
}

{% comment %}
/** Подсветка заявлений
 * Цвета выбираются при первом выполнения условий. Приоритет цветов важен:
 * 1. синий - имеются необработанные изменения
 * 2. красный - в заявлении нет желаемых организаций
 * 3. зеленый - подсвечивается в случае, если истек "Срок действия" документа,
 *  подтверждающего специфику при условии, что поле "Специфика" ребенка
 *  заполнено.
 * 4. фиолетовый - если в заявлении хотя бы в одном из последних запросов
 *  от сервисов пришел отрицательный ответ
 *
 * ВНИМАНИЕ: Если меняется цвет подсветки или проверки
 * внеси изменения и в основной код ЭДС, шаблон declaration-list.js
 */
{% endcomment %}
function highlightRow(record, index, params) {
    var highlightColor = null;

    if (record.json['changes_await']) {
        return 'changes-highlighted-row';
    }
    if (record.json['without_dou']) {
        return 'without-dou-highlight-row';
    }
    if (record.json['expired_health_date']) {
        return 'highlighted-row-green';
    }
    if (record.json['has_negative_response']){
        return 'with-negative-response-row';
    }

    return highlightColor
}

{% endblock %}
